Added auto generation script. This does setup for all files.

+ Updated readme
+ Fixed permissions on script.

Change-Id: I309e020592ec141fde70f09f6fa36f1ee92f6902
diff --git a/client/autogen.sh b/client/autogen.sh
new file mode 100755
index 0000000..94690a3
--- /dev/null
+++ b/client/autogen.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if [ ! hash git 2>/dev/null ]; then
+  echo "git is required for this repo to function properly! Please install it.";
+  exit 1;
+fi
+
+git submodule init ndn-js && git submodule update
+cd ndn-js && ./waf configure && ./waf && cd ..
+
+if [ ! hash npm 2>/dev/null ]; then
+  echo "npm is required to build the production site. Only the dev site will be available.";
+
+else
+
+  if [ ! hash gulp 2>/dev/null ]; then
+    npm install -g gulp
+    npm install
+  fi
+
+  npm upgrade
+
+  gulp
+
+fi
+